package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridCompanySafeCheckAttachment;
import com.ruoyi.system.domain.grid.GridCompanySafeCheckAttachmentExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridCompanySafeCheckAttachmentMapper {
    long countByExample(GridCompanySafeCheckAttachmentExample example);

    int deleteByExample(GridCompanySafeCheckAttachmentExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridCompanySafeCheckAttachment record);

    int insertSelective(GridCompanySafeCheckAttachment record);

    List<GridCompanySafeCheckAttachment> selectByExample(GridCompanySafeCheckAttachmentExample example);

    GridCompanySafeCheckAttachment selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridCompanySafeCheckAttachment record, @Param("example") GridCompanySafeCheckAttachmentExample example);

    int updateByExample(@Param("record") GridCompanySafeCheckAttachment record, @Param("example") GridCompanySafeCheckAttachmentExample example);

    int updateByPrimaryKeySelective(GridCompanySafeCheckAttachment record);

    int updateByPrimaryKey(GridCompanySafeCheckAttachment record);
}